This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 367791 - remove 59-liberation-fonts.conf
remove 59-liberation-fonts.conf
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: liberation-fonts (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Caius Chance
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-05 20:20 EST by Behdad Esfahbod
Modified: 2012-07-30 05:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-27 22:21:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Behdad Esfahbod 2007-11-05 20:20:17 EST
fontconfig-2.4.92-1 that I'm just building contains all the configuration done
in 59-liberation-fonts.conf, and much more to make liberation-fonts useful. 
Please remove that file for F9.
Comment 1 Caius Chance 2007-11-27 22:21:10 EST
Patched & built.
Comment 2 Pravin Satpute 2012-07-26 12:06:52 EDT
As per latest font packaging guideline, i am adding fontconfig files now. Also want to add some hinting instructions for Liberation Mono.
Comment 3 Akira TAGOH 2012-07-26 21:40:53 EDT
If it's the common case, maybe good to consider contributing the changes to fontconfig upstream perhaps.
Comment 4 Pravin Satpute 2012-07-27 06:55:24 EDT
Those are very specific.
Basically added https://bugzilla.redhat.com/show_bug.cgi?id=842568#c3 in conf for mono.
Comment 5 Nicolas Mailhot 2012-07-27 08:14:19 EDT
(In reply to comment #3)
> If it's the common case, maybe good to consider contributing the changes to
> fontconfig upstream perhaps.

Just IMHO, it's better when the fontconfig files are shipped with the font files themselves, and upstreamed font project side. This way the font project (which is supposed to know its font best) is in charge of fontconfig tweaking

At least, this is how it was done for dejavu.
Comment 6 Pravin Satpute 2012-07-30 05:11:08 EDT
Thanks Nicholas, will follow it for now.

Note You need to log in before you can comment on or make changes to this bug.